{
  "name": "@jupyterlab/example-federated-core",
  "version": "3.0.11",
  "private": true,
  "scripts": {
    "build": "npm run clean && webpack",
    "clean": "rimraf static",
    "watch": "npm run clean && webpack --watch"
  },
  "resolutions": {
    "@jupyterlab/application": "~4.0.11",
    "@jupyterlab/application-extension": "~4.0.11",
    "@jupyterlab/apputils": "^4.0.0-alpha.15",
    "@jupyterlab/apputils-extension": "~4.0.11",
    "@jupyterlab/attachments": "^4.0.0-alpha.15",
    "@jupyterlab/cells": "~4.0.0-alpha.3",
    "@jupyterlab/celltags-extension": "~4.0.11",
    "@jupyterlab/codeeditor": "^4.0.0-alpha.15",
    "@jupyterlab/codemirror-extension": "~4.0.11",
    "@jupyterlab/completer": "^4.0.0-alpha.15",
    "@jupyterlab/completer-extension": "~4.0.11",
    "@jupyterlab/console": "^4.0.0-alpha.15",
    "@jupyterlab/console-extension": "~4.0.11",
    "@jupyterlab/coreutils": "~6.0.11",
    "@jupyterlab/csvviewer-extension": "~4.0.11",
    "@jupyterlab/debugger": "^4.0.0-alpha.15",
    "@jupyterlab/debugger-extension": "~4.0.11",
    "@jupyterlab/docmanager": "^4.0.0-alpha.15",
    "@jupyterlab/docmanager-extension": "~4.0.11",
    "@jupyterlab/documentsearch": "^4.0.0-alpha.15",
    "@jupyterlab/documentsearch-extension": "~4.0.11",
    "@jupyterlab/extensionmanager": "^4.0.0-alpha.15",
    "@jupyterlab/extensionmanager-extension": "~4.0.11",
    "@jupyterlab/filebrowser": "^4.0.0-alpha.15",
    "@jupyterlab/filebrowser-extension": "~4.0.11",
    "@jupyterlab/fileeditor": "^4.0.0-alpha.15",
    "@jupyterlab/fileeditor-extension": "~4.0.11",
    "@jupyterlab/help-extension": "~4.0.11",
    "@jupyterlab/htmlviewer-extension": "~4.0.11",
    "@jupyterlab/hub-extension": "~4.0.11",
    "@jupyterlab/imageviewer": "^4.0.0-alpha.15",
    "@jupyterlab/imageviewer-extension": "~4.0.11",
    "@jupyterlab/inspector": "^4.0.0-alpha.15",
    "@jupyterlab/inspector-extension": "~4.0.11",
    "@jupyterlab/javascript-extension": "~4.0.11",
    "@jupyterlab/json-extension": "~4.0.11",
    "@jupyterlab/launcher": "^4.0.0-alpha.15",
    "@jupyterlab/launcher-extension": "~4.0.11",
    "@jupyterlab/logconsole": "^4.0.0-alpha.15",
    "@jupyterlab/logconsole-extension": "~4.0.11",
    "@jupyterlab/lsp": "^4.0.0-alpha.15",
    "@jupyterlab/lsp-extension": "~4.0.11",
    "@jupyterlab/mainmenu": "^4.0.0-alpha.15",
    "@jupyterlab/mainmenu-extension": "~4.0.11",
    "@jupyterlab/markedparser-extension": "~4.0.0-alpha.15",
    "@jupyterlab/mathjax-extension": "~4.0.11",
    "@jupyterlab/metadataform": "^4.0.0-alpha.15",
    "@jupyterlab/metadataform-extension": "~4.0.11",
    "@jupyterlab/notebook": "^4.0.0-alpha.15",
    "@jupyterlab/notebook-extension": "~4.0.11",
    "@jupyterlab/pdf-extension": "~4.0.11",
    "@jupyterlab/rendermime": "^4.0.0-alpha.15",
    "@jupyterlab/rendermime-extension": "~4.0.11",
    "@jupyterlab/rendermime-interfaces": "^3.8.0-alpha.9",
    "@jupyterlab/services": "^7.0.0-alpha.15",
    "@jupyterlab/settingeditor": "^4.0.0-alpha.15",
    "@jupyterlab/settingeditor-extension": "~4.0.11",
    "@jupyterlab/settingregistry": "^4.0.0-alpha.15",
    "@jupyterlab/shortcuts-extension": "~4.0.11",
    "@jupyterlab/statedb": "^4.0.0-alpha.15",
    "@jupyterlab/statusbar": "^4.0.0-alpha.15",
    "@jupyterlab/statusbar-extension": "~4.0.11",
    "@jupyterlab/theme-light-extension": "~4.0.11",
    "@jupyterlab/toc-extension": "~6.0.11",
    "@jupyterlab/tooltip": "^4.0.0-alpha.15",
    "@jupyterlab/tooltip-extension": "~4.0.11",
    "@jupyterlab/translation": "~4.0.11",
    "@jupyterlab/translation-extension": "~4.0.11",
    "@jupyterlab/ui-components": "^4.0.0-alpha.17",
    "@jupyterlab/ui-components-extension": "~4.0.11",
    "@jupyterlab/vega5-extension": "~4.0.11",
    "@lumino/algorithm": "^2.0.0",
    "@lumino/application": "^2.0.1",
    "@lumino/commands": "^2.0.1",
    "@lumino/coreutils": "^2.0.0",
    "@lumino/disposable": "^2.0.0",
    "@lumino/domutils": "^2.0.0",
    "@lumino/dragdrop": "^2.0.0",
    "@lumino/messaging": "^2.0.0",
    "@lumino/properties": "^2.0.0",
    "@lumino/signaling": "^2.0.0",
    "@lumino/virtualdom": "^2.0.0",
    "@lumino/widgets": "^2.0.1",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "yjs": "^13.5.40"
  },
  "dependencies": {
    "@jupyterlab/application": "^4.0.11",
    "@jupyterlab/application-extension": "^4.0.11",
    "@jupyterlab/apputils-extension": "^4.0.11",
    "@jupyterlab/celltags-extension": "^4.0.11",
    "@jupyterlab/codemirror-extension": "^4.0.11",
    "@jupyterlab/completer-extension": "^4.0.11",
    "@jupyterlab/console-extension": "^4.0.11",
    "@jupyterlab/coreutils": "^6.0.11",
    "@jupyterlab/csvviewer-extension": "^4.0.11",
    "@jupyterlab/debugger-extension": "^4.0.11",
    "@jupyterlab/docmanager-extension": "^4.0.11",
    "@jupyterlab/documentsearch-extension": "^4.0.11",
    "@jupyterlab/extensionmanager-extension": "^4.0.11",
    "@jupyterlab/filebrowser-extension": "^4.0.11",
    "@jupyterlab/fileeditor-extension": "^4.0.11",
    "@jupyterlab/help-extension": "^4.0.11",
    "@jupyterlab/htmlviewer-extension": "^4.0.11",
    "@jupyterlab/hub-extension": "^4.0.11",
    "@jupyterlab/imageviewer-extension": "^4.0.11",
    "@jupyterlab/inspector-extension": "^4.0.11",
    "@jupyterlab/javascript-extension": "^4.0.11",
    "@jupyterlab/json-extension": "^4.0.11",
    "@jupyterlab/launcher-extension": "^4.0.11",
    "@jupyterlab/logconsole-extension": "^4.0.11",
    "@jupyterlab/lsp-extension": "^4.0.11",
    "@jupyterlab/mainmenu-extension": "^4.0.11",
    "@jupyterlab/mathjax-extension": "^4.0.11",
    "@jupyterlab/metadataform-extension": "^4.0.11",
    "@jupyterlab/notebook-extension": "^4.0.11",
    "@jupyterlab/pdf-extension": "^4.0.11",
    "@jupyterlab/rendermime-extension": "^4.0.11",
    "@jupyterlab/settingeditor-extension": "^4.0.11",
    "@jupyterlab/shortcuts-extension": "^4.0.11",
    "@jupyterlab/statusbar-extension": "^4.0.11",
    "@jupyterlab/theme-light-extension": "^4.0.11",
    "@jupyterlab/toc-extension": "^6.0.11",
    "@jupyterlab/tooltip-extension": "^4.0.11",
    "@jupyterlab/translation": "^4.0.11",
    "@jupyterlab/translation-extension": "^4.0.11",
    "@jupyterlab/ui-components-extension": "^4.0.11",
    "@jupyterlab/vega5-extension": "^4.0.11"
  },
  "devDependencies": {
    "@jupyterlab/builder": "^4.0.11",
    "copy-webpack-plugin": "^11.0.0",
    "css-loader": "^6.7.1",
    "fs-extra": "^10.1.0",
    "glob": "~7.1.6",
    "handlebars": "^4.5.3",
    "mini-css-extract-plugin": "^2.7.0",
    "mini-svg-data-uri": "^1.4.4",
    "rimraf": "~3.0.0",
    "style-loader": "~3.3.1",
    "webpack": "^5.76.1",
    "webpack-cli": "^5.0.1",
    "webpack-merge": "^5.8.0",
    "whatwg-fetch": "^3.0.0"
  },
  "jupyterlab": {
    "buildDir": "./build",
    "outputDir": "./static",
    "themeDir": "../data",
    "schemaDir": "../data",
    "singletonPackages": [
      "@jupyterlab/application",
      "@jupyterlab/apputils",
      "@jupyterlab/attachments",
      "@jupyterlab/codeeditor",
      "@jupyterlab/completer",
      "@jupyterlab/console",
      "@jupyterlab/coreutils",
      "@jupyterlab/debugger",
      "@jupyterlab/docmanager",
      "@jupyterlab/documentsearch",
      "@jupyterlab/extensionmanager",
      "@jupyterlab/filebrowser",
      "@jupyterlab/fileeditor",
      "@jupyterlab/imageviewer",
      "@jupyterlab/inspector",
      "@jupyterlab/launcher",
      "@jupyterlab/logconsole",
      "@jupyterlab/lsp",
      "@jupyterlab/mainmenu",
      "@jupyterlab/notebook",
      "@jupyterlab/rendermime",
      "@jupyterlab/rendermime-interfaces",
      "@jupyterlab/services",
      "@jupyterlab/settingeditor",
      "@jupyterlab/settingregistry",
      "@jupyterlab/statedb",
      "@jupyterlab/statusbar",
      "@jupyterlab/tooltip",
      "@jupyterlab/translation",
      "@jupyterlab/ui-components",
      "@lumino/algorithm",
      "@lumino/application",
      "@lumino/commands",
      "@lumino/coreutils",
      "@lumino/disposable",
      "@lumino/domutils",
      "@lumino/dragdrop",
      "@lumino/messaging",
      "@lumino/properties",
      "@lumino/signaling",
      "@lumino/virtualdom",
      "@lumino/widgets",
      "react",
      "react-dom",
      "yjs"
    ],
    "extensions": [
      "@jupyterlab/application-extension",
      "@jupyterlab/apputils-extension",
      "@jupyterlab/celltags-extension",
      "@jupyterlab/codemirror-extension",
      "@jupyterlab/completer-extension",
      "@jupyterlab/console-extension",
      "@jupyterlab/csvviewer-extension",
      "@jupyterlab/debugger-extension",
      "@jupyterlab/docmanager-extension",
      "@jupyterlab/documentsearch-extension",
      "@jupyterlab/extensionmanager-extension",
      "@jupyterlab/filebrowser-extension",
      "@jupyterlab/fileeditor-extension",
      "@jupyterlab/help-extension",
      "@jupyterlab/htmlviewer-extension",
      "@jupyterlab/hub-extension",
      "@jupyterlab/imageviewer-extension",
      "@jupyterlab/inspector-extension",
      "@jupyterlab/javascript-extension",
      "@jupyterlab/json-extension",
      "@jupyterlab/launcher-extension",
      "@jupyterlab/logconsole-extension",
      "@jupyterlab/lsp-extension",
      "@jupyterlab/mainmenu-extension",
      "@jupyterlab/mathjax-extension",
      "@jupyterlab/metadataform-extension",
      "@jupyterlab/notebook-extension",
      "@jupyterlab/pdf-extension",
      "@jupyterlab/rendermime-extension",
      "@jupyterlab/settingeditor-extension",
      "@jupyterlab/shortcuts-extension",
      "@jupyterlab/statusbar-extension",
      "@jupyterlab/theme-light-extension",
      "@jupyterlab/toc-extension",
      "@jupyterlab/tooltip-extension",
      "@jupyterlab/translation-extension",
      "@jupyterlab/ui-components-extension",
      "@jupyterlab/vega5-extension"
    ]
  }
}
